Subject: Re: bug#8846: coreutils-8.12 on HP-UX 11.31: 3 of 365 tests failed

From: Eric Blake <[email-masked]>
Date: Mon, 13 Jun 2011 16:47:51 -0600

On 06/13/2011 04:29 PM, Stefano Lattarini wrote:
> If this work, then using a bare `>&2' *at the end of TESTS_ENVIRONMENT* and

You meant a bare `9>&2', but yes that does seem to be workable for what
we want!

> *without a following semicolon* might give a portable workaround, as if I'm
> not mistaken POSIX mandates that redirections can be specified anywere on
> the command line, and are to be evaluated from left to right.

Yes, all shells support these as equivalent:

9>&2 sh k
sh k 9>&2

> 
> UPDATE: Yes, it seems to work.  I'll add a testcase to the 'maint' branch in
> case you and Jim decide to go with this solution (and you can confirm that it
> really works).

Cool!  Definitely worth documenting in the automake manual, as owner of
TESTS_ENVIRONMENT and as a client of init.sh functionality, as well as
your proposed automake testcase addition to ensure we don't break it.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org